<template>
	<view class="friendbg">
		<img class="logo" src="https://ikea-mrm.woaap.com/images/paint/logo.png" alt="" />
		<view class="userBox">
			<img src="https://ikea-mrm.woaap.com/images/music/username.png" alt="" />
			<span>@{{ friendNickname }}：</span>
		</view>
		<img class="changpian" src="https://ikea-mrm.woaap.com/images/music/changpian.png" alt="" />
		<img class="package" src="https://ikea-mrm.woaap.com/images/music/package.png" alt="" />
		<div class="play">
			<img v-show="!isplay" @click="musicPlay" src="https://ikea-mrm.woaap.com/images/music/play.png" alt="">
			<img v-show="isplay" @click="musicPause" src="https://ikea-mrm.woaap.com/images/music/pause.png" alt="">
		</div>
		<img class="bfxq" src="https://ikea-mrm.woaap.com/images/music/bfxq.png" alt="" />
		<img @click="goIndex" class="goindex" src="https://ikea-mrm.woaap.com/images/music/goindex.png" alt="" />
		<view class="tips">打开手机音量，聆听小曲！</view>
	</view>
</template>

<script>
// let mp3_d1;
export default {
	data() {
		return {
			uid: getApp().globalData.uid,
			frendUid: '',
			friendNickname: '',
			musicArr: [],
			bgm: '',
			timer: '',
			isplay:false,
			currentTime:0
		};
	},
	onLoad(option) {
		this.frendUid = option.uid;
		console.log(this.frendUid);
		wx.request({
			url: getApp().globalData.baseUrl + 'api/access.php?a=userinfo',
			method: 'POST',
			header: {
				'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
			},
			data: {
				uid: this.frendUid
			},
			success: res => {
				console.log(res.data.data);
				this.friendNickname = res.data.data.nickname;
				let music = res.data.data.music;
				if(music) this.musicArr = JSON.parse(music);
			}
		});
		this.bgm = wx.createInnerAudioContext();
		this.bgm.src = 'https://ikea-mrm.woaap.com/mp3/bgmp3.mp3';
	},
	mounted() {
		getApp().td_app_sdk.event({
			id: '/music/friend',
			label: 'pv'
		});
		this.bgm.onEnded(() => {
			//播放完毕后重新播放
			this.bgm.play();
			clearInterval(this.timer);
			this.currentTime = 0;
			this.openInterval();
		});
	},
	methods: {
		goIndex() {
			getApp().td_app_sdk.event({
				id: 'music领取护照 创作小曲',
				label: 'click'
			});
			if (this.timer != '') {
				clearInterval(this.timer);
			}
			this.bgm.stop();
			wx.navigateTo({
				url: '/pages/index/index',
				complete: res => {
					console.log(res);
				}
			});
		},
		musicPlay() {
			getApp().td_app_sdk.event({
				id: 'music播放音乐',
				label: 'click'
			});
			this.isplay = true
			if (this.timer != '') {
				clearInterval(this.timer);
			}
			this.bgm.play();
			this.openInterval();
		},
		musicPause(){
			getApp().td_app_sdk.event({
				id: 'music暂停音乐',
				label: 'click'
			});
			this.isplay = false
			this.bgm.pause();
			clearInterval(this.timer)
		  },
		openInterval() {
			let currentTime = this.currentTime;
			this.timer = setInterval(() => {
				currentTime += 100;
				if (currentTime == 1200) {
					if (this.musicArr[0] != '') {
						let mm = `mp3_${this.musicArr[0]}`;
						mm = wx.createInnerAudioContext();
						mm.src = `https://ikea-mrm.woaap.com/mp3/${this.musicArr[0]}.mp3`;
						mm.play();
					}
					console.log(currentTime);
				} else if (currentTime == 4100) {
					if (this.musicArr[1] != '') {
						let mm = `mp3_${this.musicArr[1]}`;
						mm = wx.createInnerAudioContext();
						mm.src = `https://ikea-mrm.woaap.com/mp3/${this.musicArr[1]}.mp3`;
						mm.play();
					}
					console.log(currentTime);
				} else if (currentTime == 7100) {
					if (this.musicArr[2] != '') {
						let mm = `mp3_${this.musicArr[2]}`;
						mm = wx.createInnerAudioContext();
						mm.src = `https://ikea-mrm.woaap.com/mp3/${this.musicArr[2]}.mp3`;
						mm.play();
					}
					console.log(currentTime);
				} else if (currentTime == 10000) {
					if (this.musicArr[3] != '') {
						let mm = `mp3_${this.musicArr[3]}`;
						mm = wx.createInnerAudioContext();
						mm.src = `https://ikea-mrm.woaap.com/mp3/${this.musicArr[3]}.mp3`;
						mm.play();
					}
					console.log(currentTime);
				} else if (currentTime == 14000) {
					if (this.musicArr[4] != '') {
						let mm = `mp3_${this.musicArr[4]}`;
						mm = wx.createInnerAudioContext();
						mm.src = `https://ikea-mrm.woaap.com/mp3/${this.musicArr[4]}.mp3`;
						mm.play();
					}
					console.log(currentTime);
				} else if (currentTime == 17000) {
					if (this.musicArr[5] != '') {
						let mm = `mp3_${this.musicArr[5]}`;
						mm = wx.createInnerAudioContext();
						mm.src = `https://ikea-mrm.woaap.com/mp3/${this.musicArr[5]}.mp3`;
						mm.play();
					}
					console.log(currentTime);
				}
				this.currentTime = currentTime;
			}, 100);
		}
	},
	beforeDestroy() {
		if (this.timer != '') {
			clearInterval(this.timer);
		}
		this.bgm.stop();
	}
};
</script>

<style lang="less" scoped>
.friendbg {
	width: 750rpx;
	height: 1624rpx;
	background: url(https://ikea-mrm.woaap.com/images/music/resultbg.jpg);
	background-size: 100% 100%;
	position: absolute;
	top: 50%;
	transform: translate(0, -50%);
	.logo {
		position: absolute;
		width: 683rpx;
		height: 87rpx;
		top: 230rpx;
		left: 50%;
		transform: translate(-50%, 0);
		z-index: 9;
	}
	.userBox {
		width: 583rpx;
		height: 144rpx;
		position: absolute;
		left: 75rpx;
		top: 370rpx;
		img {
			width: 100%;
			height: 100%;
		}
		span {
			position: absolute;
			left: 190rpx;
			top: 20rpx;
			font-size: 30rpx;
			color: #ec8a23;
			font-weight: 700;
		}
	}
	.changpian {
		width: 651rpx;
		height: 649rpx;
		position: absolute;
		top: 514rpx;
		left: 50%;
		transform: translate(-50%, 0);
	}
	.package {
		width: 750rpx;
		height: 984rpx;
		position: absolute;
		top: 642rpx;
	}
	.play {
		width: 92rpx;
		height: 96rpx;
		position: absolute;
		top: 790rpx;
		left: 50%;
		transform: translate(-50%, 0);
		display: flex;
		justify-content: center;
		align-items: center;
		z-index: 9999;
		img {
			width: 100%;
			height: 100%;
		}
	}
	.bfxq {
		width: 142rpx;
		height: 113rpx;
		position: absolute;
		left: 110rpx;
		top: 761rpx;
	}
	.goindex {
		width: 383rpx;
		height: 97rpx;
		position: absolute;
		top: 1264rpx;
		left: 50%;
		transform: translate(-50%, 0);
		display: flex;
		justify-content: center;
		align-items: center;
		z-index: 9999;
	}
	.tips{
		width: 100%;
		text-align: center;
		color: #ef802e;
		font-size: 23rpx;
		position: absolute;
		top: 1365rpx;
	}
}
</style>
